示例#1
0
        async void loginTapped(System.Object sender, System.EventArgs e)
        {
            logingrid.RaiseChild(signUpbutton);
            hideProfileImageandName();


            await Task.WhenAny <bool>
            (
                myGrd.LayoutTo(new Rectangle(myGrd.Bounds.X, myGrd.Bounds.Y, 0, myGrd.Height), 1000, easing: Easing.Linear),
                myGrd.FadeTo(0.2, 100, easing: Easing.SinOut),


                loginbtn.TranslateTo(loginbtn.TranslationX + 30, loginbtn.TranslationY, 1000, easing: Easing.Linear),
                signUpbutton.TranslateTo(signUpbutton.TranslationX - 30, signUpbutton.TranslationY, 1000, easing: Easing.Linear),
                ProfileGrid.FadeTo(0.2, 1000, easing: Easing.SinOut)

                //loginbtn.TranslateTo(loginbtn.TranslationX +45, loginbtn.TranslationY - 15, 2000, easing: Easing.Linear),
                //signUpbutton.TranslateTo(signUpbutton.TranslationX - 45, signUpbutton.TranslationY + 15, 2000, easing: Easing.Linear),


            );

            await Task.Delay(750);

            await Task.WhenAny <bool>(
                ProfileGrid.FadeTo(1, 1000, easing: Easing.SinOut),
                ProfileGrid.LayoutTo(new Rectangle(ProfileGrid.Bounds.X, ProfileGrid.Bounds.Y, 350, ProfileGrid.Height), 1000, easing: Easing.Linear)
                );
        }
示例#2
0
        public void ProfileGrid()
        {
            PromptPointOptions ppo = new PromptPointOptions("\nSelect profile insertion point: ");
            PromptPointResult  ppr = doc.Editor.GetPoint(ppo);

            if (ppr.Status != PromptStatus.OK)
            {
                return;
            }

            ProfileGrid profileGrid = null;

            try
            {
                profileGrid = new ProfileGrid();
            }
            catch (Autodesk.AutoCAD.Runtime.Exception ex)
            {
                doc.Editor.WriteMessage("error creating grid");
            }

            if (profileGrid != null)
            {
                profileGrid.SaveGrid();
            }
        }
示例#3
0
        public void EPD()
        {
            var ed = doc.Editor;

            //var trans = db.TransactionManager.StartTransaction();

            //create the nod dictionary
            if (CreateAppNod() == true)
            {
                ProfileGrid profileGrid = null;
                Grade       gradeLine   = null;

                try
                {
                    profileGrid = new ProfileGrid();
                    gradeLine   = new Grade();
                    gradeLine.DrawGradeLine(profileGrid.InsertionPoint);
                }

                catch (Autodesk.AutoCAD.Runtime.Exception e)
                {
                    ed.WriteMessage("EPD Error: " + e.Message);
                }

                profileGrid.SaveGrid();
            }
        }
示例#4
0
    void Start()
    {
        grid = game_manager.GetComponent <ProfileGrid>();
        foreach (Image img in gameObject.GetComponentsInChildren <Image>())
        {
            task_images.Add(img);
        }
        task_images.RemoveAt(0);

        default_sprite = task_images[0].sprite;
    }
示例#5
0
 void Start()
 {
     grid = GetComponent <ProfileGrid>();
     StartCoroutine(waitTimeBeforeGame());
 }